Commit 89eba7db authored by Mimi Zohar's avatar Mimi Zohar Committed by Shuah Khan

selftests/kexec: cleanup the kexec selftest

Remove the few bashisms and use the complete option name for clarity.
Signed-off-by: default avatarMimi Zohar <zohar@linux.ibm.com>
Reviewed-by: default avatarPetr Vorel <pvorel@suse.cz>
Signed-off-by: default avatarShuah Khan <skhan@linuxfoundation.org>
parent c3c0e811
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0+
# SPDX-License-Identifier: GPL-2.0
# Loading a kernel image via the kexec_load syscall should fail
# when the kerne is CONFIG_KEXEC_VERIFY_SIG enabled and the system
# when the kernel is CONFIG_KEXEC_VERIFY_SIG enabled and the system
# is booted in secureboot mode.
TEST="$0"
......@@ -12,8 +12,8 @@ rc=0
ksft_skip=4
# kexec requires root privileges
if [ $UID != 0 ]; then
echo "$TEST: must be run as root" >&2
if [ $(id -ru) -ne 0 ]; then
echo "$TEST: requires root privileges" >&2
exit $ksft_skip
fi
......@@ -33,17 +33,17 @@ secureboot=`hexdump $file | awk '{print substr($4,length($4),1)}'`
# kexec_load should fail in secure boot mode
KERNEL_IMAGE="/boot/vmlinuz-`uname -r`"
kexec -l $KERNEL_IMAGE &>> /dev/null
if [ $? == 0 ]; then
kexec -u
if [ "$secureboot" == "1" ]; then
kexec --load $KERNEL_IMAGE > /dev/null 2>&1
if [ $? -eq 0 ]; then
kexec --unload
if [ $secureboot -eq 1 ]; then
echo "$TEST: kexec_load succeeded [FAIL]"
rc=1
else
echo "$TEST: kexec_load succeeded [PASS]"
fi
else
if [ "$secureboot" == "1" ]; then
if [ $secureboot -eq 1 ]; then
echo "$TEST: kexec_load failed [PASS]"
else
echo "$TEST: kexec_load failed [FAIL]"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment